twitter4j.auth

## Class BasicAuthorization

- java.lang.Object
- - twitter4j.auth.BasicAuthorization

All Implemented Interfaces:
  Serializable, Authorization

    public class BasicAuthorization
    extends Object
    implements Authorization, Serializable

An authentication implementation implements Basic authentication

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BasicAuthorization(String userId, String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getAuthorizationHeader(HttpRequest req)`
`String` `getPassword()`
`String` `getUserId()`
`int` `hashCode()`
`boolean` `isEnabled()` #{inheritDoc}
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicAuthorization

    public BasicAuthorization(String userId,
                              String password)

### Method Detail

#### getUserId

    public String getUserId()

#### getPassword

    public String getPassword()

#### getAuthorizationHeader

    public String getAuthorizationHeader(HttpRequest req)

Specified by:
  `getAuthorizationHeader` in interface `Authorization`

#### isEnabled

    public boolean isEnabled()

#{inheritDoc}

Specified by:
  `isEnabled` in interface `Authorization`
Returns:
  true if authorization credentials are set

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`